http://click.wwh0314.top {
    redir https://click.wwh0314.top{uri} permanent
}

click.wwh0314.top {
    encode zstd gzip

    @updateJson path /stable-clicker/update.json
    header @updateJson Content-Type application/json

    @apk path *.apk
    header @apk Content-Type application/vnd.android.package-archive

    reverse_proxy 172.17.0.1:18080 {
        header_up Host {host}
        header_up X-Real-IP {remote_host}
        header_up X-Forwarded-For {remote_host}
        header_up X-Forwarded-Proto {scheme}
        header_up X-Forwarded-Host {host}
    }
}
